
<!DOCTYPE HTML>
<html>
  <head>

    <title>DashGL.com</title>

    <meta charset="utf-8" />
    <meta name="viewport"
      content="width=device-width,initial-scale=1.0,user-scalable=no">
    <meta name="description" content="Tutortials for Linux programming using
      GTK, C, and OpenGL" />
    <meta name="keywords" content="Linux,C,OpenGL,Tutorial,GTK">
    <meta name="author" content="Kion">

    <link rel="shortcut icon" href="/img/favicon.png">
    <link rel="stylesheet" type="text/css" href="/css/layout.css" />
  </head>
  <body>

    <div class="title">
      <a href="/Information?file=Mascot"><img
          src="/img/others_20171117_dashgl_dash_cropped_icon.png" /></a>
    </div>

    <header>

      <table>
        <th>
          <h1><a href="index.php">DashGL</a></h1>
        </th>
        <td></td>

        <td><a href='/Brickout'>Brickout</a></td>
        <td><a href='/Invaders'>Invaders</a></td>
        <td><a href='/Astroids'>Astroids</a></td>
        <td><a href='/Information' class='selected'>Information</a></td>
      </table>
    </header>

    <nav id="nav">

      <li><a href='/Brickout'>Brickout</a></li>
      <li><a href='/Invaders'>Invaders</a></li>
      <li><a href='/Astroids'>Astroids</a></li>
      <li><a href='/Information' class='selected'>Information</a></li>
    </nav>

    <section>

      <article>

        <p>
          The tutorials on this web page are completeable on the Raspberry Pi
          device.
          The steps to configuring your device to run these tutorials is
          described on this
          page. The version used is <span class="highlight">2017-09-07-raspbian-stretch</span>
          downloadable from the
          Raspberry Pi Foundation's website <a
            href="https://www.raspberrypi.org/downloads/raspbian/">Download Page</a>.
        </p>

        <p>
          The steps for how to install Raspberry to your SD card is listed on
          the <a
            href="https://www.raspberrypi.org/documentation/installation/installing-images/README.md">Installation</a>
          page of the Raspberry Pi's foundation page and will not be covered
          here. This guide
          assumes you have a newly installed image of <span class="highlight">2017-09-07-raspbian-stretch</span>.
          This guide may work on order versions, but this has not been tested by
          the author.
        </p>

        <p>
          Disclaimer: Take the proper precautions if updating an existing system
          at your own risk. If you have any doubts, use a fresh SD card or ask
          around if you have any doubts about enabling the experimental driver.
        </p>

        <p>
          To start open up a terminal and run:
        </p>

        <pre>$ sudo apt-get -y update && sudo apt-get -y upgrade</pre>

        <p>
          Next we will install the dependencies needed for the tutorials to run.
        </p>

        <pre>$ sudo apt-get -y install libgtk-3-dev libegl1-mesa-dev libepoxy-dev libpng-dev git</pre>
        <p>
          From there we will need to change some of the graphics settings. In
          your terminal,
          run:
        </p>

        <pre>$ sudo raspi-config</pre>

        <p>You will see the following menu:</p>

        <img src="/img/step_01_raspi.png" style="border: 1px solid #ddd;
          border-radius: 4px" />

        <p>Use the arrow keys to move the selected option down to <span
            class="highlight">7 Advanced Options</span>.</p>

        <img src="/img/step_02_raspi.png" style="border: 1px solid #ddd;
          border-radius: 4px" />

        <p>Press the enter key, and you will find yourself at the following
          menu.</p>

        <img src="/img/step_04_raspi.png" style="border: 1px solid #ddd;
          border-radius: 4px" />

        <p>Move the selected option down to the option <span class="highlight">A3
            Memory Split</span> and hit the enter key.</p>

        <img src="/img/step_05_raspi.png" style="border: 1px solid #ddd;
          border-radius: 4px" />

        <p>You will then be prompted with "How much memory (MB) should the GPU
          have? e.g. 16/32/64/128/256". Enter the value of either 128 or 256
          into the prompt and then select <span class="highlight">&lt;Ok&gt;</span></p>
        <p>After that you will find yourself back at the top, menu.</p>

        <img src="/img/step_01_raspi.png" style="border: 1px solid #ddd;
          border-radius: 4px" />

        <p>Repeat the process and select <span class="highlight">7 Advanced
            Options</span> from the list.</p>

        <p>This time scoll down to <span class="highlight">A6 GL Driver</span>
          and press the enter key.</p>

        <img src="/img/step_06_raspi.png" style="border: 1px solid #ddd;
          border-radius: 4px" />

        <p>The first option, <span class="highlight">G1 GL(Full KMS) OpenGL
            desktop driver with full KMS</span> should already be selected.</p>
        <img src="/img/step_07_raspi.png" style="border: 1px solid #ddd;
          border-radius: 4px" />

        <p>Press the enter key to confirm the option, and you will be greeted
          with the message "The full KMS GL driver is enabled.".</p>

        <img src="/img/step_08_raspi.png" style="border: 1px solid #ddd;
          border-radius: 4px" />

        <p>Press the enter key, to confirm and return to the main menu. From
          there, press the right arrow key twice to select <span
            class="highlight">&lt;Finish&gt;</span>.</p>

        <img src="/img/step_09_raspi.png" style="border: 1px solid #ddd;
          border-radius: 4px" />

        <p>You will then be asked "Would you like to reboot now?". Press the
          enter key to confirm <span class="highlight">&lt;Yes&gt;</span> to
          reboot.</p>

        <img src="/img/step_10_raspi.png" style="border: 1px solid #ddd;
          border-radius: 4px" />

        <p>Once your device has rebooted, it should be configured to run the
          tutorials listed on this web site.</p>

      </article>

    </section>

    <aside>
      <ul>

        <li><a href='/Information/About'>About</a></li>
        <li><a href='/Information/Contribute'>Contribute</a></li>
        <li><a href='/Information/Libraries'>Libraries</a></li>
        <li><a href='/Information/OpenGL_Resources'>OpenGL Resources</a></li>
        <li><a href='/Information/GTK_Resources'>GTK Resources</a></li>
        <li><a href='/Information/Copyright'>Copyright</a></li>
        <li><a href='/Information/Mascot'>Mascot</a></li>
        <li><a class='selected' href='/Information/Raspberry_Pi'>Raspberry
            Pi</a></li>

      </ul>
    </aside>

    <footer>

      <table>
        <tr>
          <td><a href='/Information/Mascot'>&lt;&lt; Prev<br>Mascot</a></td><td></td><td></td>
        </tr>
      </table>

      Copyright &copy; 2017 DashGL Project

    </footer>

  </body>

</html>
